[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible coreboot/openwrt/netbsd: stop being too nice (as these jobs only run rarely on nodes which are constantly busy with rpms and archlinux)

Holger Levsen holger at moszumanska.debian.org
Mon Dec 14 01:37:46 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 8c44156c6d602e6fa607284328d268db0af65345
Author: Holger Levsen <holger at layer-acht.org>
Date:   Mon Dec 14 02:37:22 2015 +0100

    reproducible coreboot/openwrt/netbsd: stop being too nice (as these jobs only run rarely on nodes which are constantly busy with rpms and archlinux)
---
 bin/reproducible_coreboot.sh |  8 ++++----
 bin/reproducible_netbsd.sh   |  4 ++--
 bin/reproducible_openwrt.sh  | 24 ++++++++----------------
 3 files changed, 14 insertions(+), 22 deletions(-)

diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index 562b413..ef1cd13 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -72,7 +72,7 @@ for ARCH in ${ARCHS} ; do
 	echo "============================================================================="
 	echo "$(date -u) - Building cross compiler for ${ARCH}."
 	# taken from util/crossgcc/Makefile:
-	ionice -c 3 nice bash util/crossgcc/buildgcc -j $NUM_CPU -p $ARCH
+	ionice -c 3 bash util/crossgcc/buildgcc -j $NUM_CPU -p $ARCH
 	RESULT=$?
 	if [ $RESULT -eq 0 ] ; then
 		GOT_XTOOLCHAIN=true
@@ -83,7 +83,7 @@ if ! $GOT_XTOOLCHAIN ; then
 	echo "Need at least one cross toolchain, aborting."
 fi
 
-ionice -c 3 nice bash util/crossgcc/buildgcc -j $NUM_CPU -P IASL
+ionice -c 3 bash util/crossgcc/buildgcc -j $NUM_CPU -P IASL
 
 #
 # create html about toolchains used
@@ -116,7 +116,7 @@ sed -i 's#MAKE=$i#MAKE=make#' util/abuild/abuild
 sed -i "s#cpus=1#cpus=$NUM_CPU#" util/abuild/abuild
 sed -i 's#USE_XARGS=1#USE_XARGS=0#g' util/abuild/abuild
 # actually build everything
-ionice -c 3 nice \
+ionice -c 3 \
 	bash util/abuild/abuild || true # don't fail the full job just because some targets fail
 	#bash util/abuild/abuild --payloads none || true # don't fail the full job just because some targets fail
 
@@ -135,7 +135,7 @@ umask 0002
 # use allmost all cores for second build
 NEW_NUM_CPU=$(echo $NUM_CPU-1|bc)
 sed -i "s#cpus=$NUM_CPU#cpus=$NEW_NUM_CPU#" util/abuild/abuild
-ionice -c 3 nice \
+ionice -c 3 \
 	linux64 --uname-2.6 \
 	bash util/abuild/abuild || true # don't fail the full job just because some targets fail
 	#bash util/abuild/abuild --payloads none || true # don't fail the full job just because some targets fail
diff --git a/bin/reproducible_netbsd.sh b/bin/reproducible_netbsd.sh
index 4b9c258..4b5da46 100755
--- a/bin/reproducible_netbsd.sh
+++ b/bin/reproducible_netbsd.sh
@@ -67,7 +67,7 @@ echo "==========================================================================
 export TZ="/usr/share/zoneinfo/Etc/GMT+12"
 # actually build everything
 for MACHINE in $MACHINES ; do
-	ionice -c 3 nice \
+	ionice -c 3 \
 		./build.sh -j $NUM_CPU -U -u -m ${MACHINE} release
 	# save results in b1
 	save_netbsd_results b1 ${MACHINE}
@@ -96,7 +96,7 @@ umask 0002
 # use allmost all cores for second build
 NEW_NUM_CPU=$(echo $NUM_CPU-1|bc)
 for MACHINE in $MACHINES ; do
-	ionice -c 3 nice \
+	ionice -c 3 \
 		linux64 --uname-2.6 \
 		./build.sh -j $NEW_NUM_CPU -U -u -m ${MACHINE} release
 	# save results in b2
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index 20eff86..2ec583c 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -73,10 +73,8 @@ openwrt_build_toolchain() {
 	echo "$(date -u) - Building the toolchain."
 	echo "============================================================================="
 
-	ionice -c 3 nice \
-		make -j $NUM_CPU tools/install
-	ionice -c 3 nice \
-		make -j $NUM_CPU toolchain/install
+	ionice -c 3 make -j $NUM_CPU tools/install
+	ionice -c 3 make -j $NUM_CPU toolchain/install
 }
 
 openwrt_build() {
@@ -88,18 +86,12 @@ openwrt_build() {
 	echo "============================================================================="
 	echo "$(date -u) - Building OpenWrt ${OPENWRT_VERSION} ($TARGET) - $RUN build run."
 	echo "============================================================================="
-	ionice -c 3 nice \
-		$MAKE $OPTIONS target/compile
-	ionice -c 3 nice \
-		$MAKE $OPTIONS package/cleanup
-	ionice -c 3 nice \
-		$MAKE $OPTIONS package/compile || true # don't let some packages fail the whole build
-	ionice -c 3 nice \
-		$MAKE $OPTIONS package/install
-	ionice -c 3 nice \
-		$MAKE $OPTIONS target/install V=s || true
-	ionice -c 3 nice \
-		$MAKE $OPTIONS package/index || true # don't let some packages fail the whole build
+	ionice -c 3 $MAKE $OPTIONS target/compile
+	ionice -c 3 $MAKE $OPTIONS package/cleanup
+	ionice -c 3 $MAKE $OPTIONS package/compile || true # don't let some packages fail the whole build
+	ionice -c 3 $MAKE $OPTIONS package/install
+	ionice -c 3 $MAKE $OPTIONS target/install V=s || true
+	ionice -c 3 $MAKE $OPTIONS package/index || true # don't let some packages fail the whole build
 }
 
 openwrt_cleanup() {

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list